public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: app-admin/ulogd/, app-admin/ulogd/files/
@ 2015-11-03  8:42 Ian Delaney
  0 siblings, 0 replies; 3+ messages in thread
From: Ian Delaney @ 2015-11-03  8:42 UTC (permalink / raw
  To: gentoo-commits

commit:     5180c7569d058ba8265c2eacaee2d097111fcd38
Author:     Ilya Tumaykin <itumaykin <AT> gmail <DOT> com>
AuthorDate: Fri Oct 30 13:54:53 2015 +0000
Commit:     Ian Delaney <idella4 <AT> gentoo <DOT> org>
CommitDate: Fri Oct 30 16:26:20 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5180c756

app-admin/ulogd: add 200 ms delay on daemon start

Gentoo-Bug: 564396

 app-admin/ulogd/files/ulogd.init-r2   |  42 ++++++++++
 app-admin/ulogd/ulogd-2.0.5-r3.ebuild | 145 ++++++++++++++++++++++++++++++++++
 2 files changed, 187 insertions(+)

diff --git a/app-admin/ulogd/files/ulogd.init-r2 b/app-admin/ulogd/files/ulogd.init-r2
new file mode 100644
index 0000000..c994507
--- /dev/null
+++ b/app-admin/ulogd/files/ulogd.init-r2
@@ -0,0 +1,42 @@
+#!/sbin/runscript
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+extra_started_commands="reload reopen"
+
+: ${ULOGD_BINARY:=/usr/sbin/ulogd}
+: ${ULOGD_PIDFILE:=/run/${SVCNAME}.pid}
+: ${ULOGD_WAIT:=200}
+: ${ULOGD_OPTS:=--daemon --uid ulogd --pidfile ${ULOGD_PIDFILE}}
+
+depend() {
+	before iptables ip6tables ebtables nftables firewall
+	after mysql postgresql
+}
+
+start() {
+	ebegin "Starting ${SVCNAME}"
+	start-stop-daemon --start \
+		--exec ${ULOGD_BINARY} --pidfile ${ULOGD_PIDFILE} --wait ${ULOGD_WAIT} \
+		-- ${ULOGD_OPTS}
+	eend $?
+}
+
+stop() {
+	ebegin "Stopping ${SVCNAME}"
+	start-stop-daemon --stop --pidfile ${ULOGD_PIDFILE}
+	eend $?
+}
+
+reload() {
+	ebegin "Reloading ${SVCNAME} configuration"
+	start-stop-daemon --signal USR1 --pidfile ${ULOGD_PIDFILE}
+	eend $?
+}
+
+reopen() {
+	ebegin "Reopening ${SVCNAME} logfiles"
+	start-stop-daemon --signal HUP --pidfile ${ULOGD_PIDFILE}
+	eend $?
+}

diff --git a/app-admin/ulogd/ulogd-2.0.5-r3.ebuild b/app-admin/ulogd/ulogd-2.0.5-r3.ebuild
new file mode 100644
index 0000000..71cf91e
--- /dev/null
+++ b/app-admin/ulogd/ulogd-2.0.5-r3.ebuild
@@ -0,0 +1,145 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+AUTOTOOLS_AUTORECONF=1
+AUTOTOOLS_IN_SOURCE_BUILD=1
+
+inherit autotools-utils eutils flag-o-matic linux-info readme.gentoo systemd user
+
+DESCRIPTION="A userspace logging daemon for netfilter/iptables related logging"
+HOMEPAGE="http://netfilter.org/projects/ulogd/index.html"
+SRC_URI="ftp://ftp.netfilter.org/pub/${PN}/${P}.tar.bz2
+		http://www.netfilter.org/projects/${PN}/files/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ia64 ~ppc ~x86"
+IUSE="dbi doc json mysql nfacct +nfct +nflog pcap postgres sqlite -ulog"
+
+RDEPEND="
+	|| ( net-firewall/iptables net-firewall/nftables )
+	>=net-libs/libnfnetlink-1.0.1
+	dbi? ( dev-db/libdbi )
+	json? ( dev-libs/jansson )
+	nfacct? (
+		>=net-libs/libmnl-1.0.3
+		>=net-libs/libnetfilter_acct-1.0.1
+	)
+	nfct? ( >=net-libs/libnetfilter_conntrack-1.0.2 )
+	nflog? ( >=net-libs/libnetfilter_log-1.0.0 )
+	mysql? ( virtual/mysql )
+	pcap? ( net-libs/libpcap )
+	postgres? ( dev-db/postgresql:= )
+	sqlite? ( dev-db/sqlite:3 )
+"
+DEPEND="${RDEPEND}
+	doc? (
+		app-text/linuxdoc-tools
+		app-text/texlive-core
+		virtual/latex-base
+	)
+"
+
+PATCHES=( "${FILESDIR}/${P}-remove-db-automagic.patch" )
+
+DOCS=( AUTHORS README TODO )
+DOC_CONTENTS="
+	You must have at least one logging stack enabled to make ulogd work.
+	Please edit example configuration located at /etc/ulogd.conf
+"
+
+pkg_setup() {
+	enewgroup ulogd
+	enewuser ulogd -1 -1 /var/log/ulogd ulogd
+
+	linux-info_pkg_setup
+
+	if kernel_is lt 2 6 14; then
+		die "ulogd requires kernel newer than 2.6.14"
+	fi
+
+	if kernel_is lt 2 6 18; then
+		ewarn "You are using kernel older than 2.6.18"
+		ewarn "Some ulogd features may be unavailable"
+	fi
+
+	if use nfacct && kernel_is lt 3 3 0; then
+		ewarn "NFACCT input plugin requires kernel newer than 3.3.0"
+	fi
+
+	if use ulog && kernel_is gt 3 17 0; then
+		ewarn "ULOG target was removed since 3.17.0 kernel release"
+		ewarn "Consider enabling NFACCT, NFCT or NFLOG support"
+	fi
+}
+
+src_prepare() {
+	# - make all logs to be kept in a single dir /var/log/ulogd
+	# - place sockets in /run instead of /tmp
+	sed -i \
+		-e 's:var/log:var/log/ulogd:g' \
+		-e 's:tmp:run:g' \
+		ulogd.conf.in || die 'sed on ulogd.conf.in failed'
+
+	append-lfs-flags
+	autotools-utils_src_prepare
+}
+
+src_configure() {
+	local myeconfargs=(
+		$(use_with dbi)
+		$(use_with json jansson)
+		$(use_enable nfacct)
+		$(use_enable nfct)
+		$(use_enable nflog)
+		$(use_with mysql)
+		$(use_with pcap)
+		$(use_with postgres pgsql)
+		$(use_with sqlite)
+		$(use_enable ulog)
+	)
+	autotools-utils_src_configure
+}
+
+src_compile() {
+	autotools-utils_src_compile
+
+	if use doc; then
+		# Prevent access violations from bitmap font files generation
+		export VARTEXFONTS="${T}"/fonts
+		emake -C doc
+	fi
+}
+
+src_install() {
+	autotools-utils_src_install
+	readme.gentoo_create_doc
+	prune_libtool_files --modules
+
+	if use doc; then
+		dohtml doc/${PN}.html
+		dodoc doc/${PN}.dvi doc/${PN}.txt doc/${PN}.ps
+	fi
+
+	use sqlite && dodoc doc/sqlite3.table
+	use mysql && dodoc doc/mysql-*.sql
+	use postgres && dodoc doc/pgsql-*.sql
+	doman ${PN}.8
+
+	insinto /etc
+	doins ${PN}.conf
+	fowners root:ulogd /etc/ulogd.conf
+	fperms 640 /etc/ulogd.conf
+
+	newinitd "${FILESDIR}/${PN}.init-r2" ${PN}
+	systemd_newunit "${FILESDIR}/${PN}.service-r1" ${PN}.service
+
+	insinto /etc/logrotate.d
+	newins "${FILESDIR}/${PN}.logrotate" ${PN}
+
+	diropts -o ulogd -g ulogd
+	keepdir /var/log/ulogd
+}


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-admin/ulogd/, app-admin/ulogd/files/
@ 2015-12-28  9:56 Patrice Clement
  0 siblings, 0 replies; 3+ messages in thread
From: Patrice Clement @ 2015-12-28  9:56 UTC (permalink / raw
  To: gentoo-commits

commit:     f27e4b018a84519b50b164a85de3e7d4c0bf2e39
Author:     Ilya Tumaykin <itumaykin <AT> gmail <DOT> com>
AuthorDate: Sun Dec 27 19:53:14 2015 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sun Dec 27 21:29:41 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f27e4b01

app-admin/ulogd: remove old

Package-Manager: portage-2.2.24

 app-admin/ulogd/files/ulogd.init-r1   |  41 ----------
 app-admin/ulogd/ulogd-2.0.5-r2.ebuild | 147 ----------------------------------
 2 files changed, 188 deletions(-)

diff --git a/app-admin/ulogd/files/ulogd.init-r1 b/app-admin/ulogd/files/ulogd.init-r1
deleted file mode 100644
index 47a0674..0000000
--- a/app-admin/ulogd/files/ulogd.init-r1
+++ /dev/null
@@ -1,41 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-extra_started_commands="reload reopen"
-
-: ${ULOGD_BINARY:=/usr/sbin/ulogd}
-: ${ULOGD_PIDFILE:=/run/${SVCNAME}.pid}
-: ${ULOGD_OPTS:=--daemon --uid ulogd --pidfile ${ULOGD_PIDFILE}}
-
-depend() {
-	before iptables ip6tables ebtables nftables firewall
-	after mysql postgresql
-}
-
-start() {
-	ebegin "Starting ${SVCNAME}"
-	start-stop-daemon --start \
-		--exec ${ULOGD_BINARY} --pidfile ${ULOGD_PIDFILE} \
-		-- ${ULOGD_OPTS}
-	eend $?
-}
-
-stop() {
-	ebegin "Stopping ${SVCNAME}"
-	start-stop-daemon --stop --pidfile ${ULOGD_PIDFILE}
-	eend $?
-}
-
-reload() {
-	ebegin "Reloading ${SVCNAME} configuration"
-	start-stop-daemon --signal USR1 --pidfile ${ULOGD_PIDFILE}
-	eend $?
-}
-
-reopen() {
-	ebegin "Reopening ${SVCNAME} logfiles"
-	start-stop-daemon --signal HUP --pidfile ${ULOGD_PIDFILE}
-	eend $?
-}

diff --git a/app-admin/ulogd/ulogd-2.0.5-r2.ebuild b/app-admin/ulogd/ulogd-2.0.5-r2.ebuild
deleted file mode 100644
index 5f61107..0000000
--- a/app-admin/ulogd/ulogd-2.0.5-r2.ebuild
+++ /dev/null
@@ -1,147 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-AUTOTOOLS_AUTORECONF=1
-AUTOTOOLS_IN_SOURCE_BUILD=1
-
-inherit autotools-utils eutils flag-o-matic linux-info readme.gentoo systemd user
-
-DESCRIPTION="A userspace logging daemon for netfilter/iptables related logging"
-HOMEPAGE="https://netfilter.org/projects/ulogd/index.html"
-SRC_URI="
-	https://www.netfilter.org/projects/${PN}/files/${P}.tar.bz2
-	ftp://ftp.netfilter.org/pub/${PN}/${P}.tar.bz2
-"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 ~ia64 ppc x86"
-IUSE="dbi doc json mysql nfacct +nfct +nflog pcap postgres sqlite -ulog"
-
-RDEPEND="
-	|| ( net-firewall/iptables net-firewall/nftables )
-	>=net-libs/libnfnetlink-1.0.1
-	dbi? ( dev-db/libdbi )
-	json? ( dev-libs/jansson )
-	nfacct? (
-		>=net-libs/libmnl-1.0.3
-		>=net-libs/libnetfilter_acct-1.0.1
-	)
-	nfct? ( >=net-libs/libnetfilter_conntrack-1.0.2 )
-	nflog? ( >=net-libs/libnetfilter_log-1.0.0 )
-	mysql? ( virtual/mysql )
-	pcap? ( net-libs/libpcap )
-	postgres? ( dev-db/postgresql:= )
-	sqlite? ( dev-db/sqlite:3 )
-"
-DEPEND="${RDEPEND}
-	doc? (
-		app-text/linuxdoc-tools
-		app-text/texlive-core
-		virtual/latex-base
-	)
-"
-
-PATCHES=( "${FILESDIR}/${P}-remove-db-automagic.patch" )
-
-DOCS=( AUTHORS README TODO )
-DOC_CONTENTS="
-	You must have at least one logging stack enabled to make ulogd work.
-	Please edit example configuration located at /etc/ulogd.conf
-"
-
-pkg_setup() {
-	enewgroup ulogd
-	enewuser ulogd -1 -1 /var/log/ulogd ulogd
-
-	linux-info_pkg_setup
-
-	if kernel_is lt 2 6 14; then
-		die "ulogd requires kernel newer than 2.6.14"
-	fi
-
-	if kernel_is lt 2 6 18; then
-		ewarn "You are using kernel older than 2.6.18"
-		ewarn "Some ulogd features may be unavailable"
-	fi
-
-	if use nfacct && kernel_is lt 3 3 0; then
-		ewarn "NFACCT input plugin requires kernel newer than 3.3.0"
-	fi
-
-	if use ulog && kernel_is gt 3 17 0; then
-		ewarn "ULOG target was removed since 3.17.0 kernel release"
-		ewarn "Consider enabling NFACCT, NFCT or NFLOG support"
-	fi
-}
-
-src_prepare() {
-	# - make all logs to be kept in a single dir /var/log/ulogd
-	# - place sockets in /run instead of /tmp
-	sed -i \
-		-e 's:var/log:var/log/ulogd:g' \
-		-e 's:tmp:run:g' \
-		ulogd.conf.in || die 'sed on ulogd.conf.in failed'
-
-	append-lfs-flags
-	autotools-utils_src_prepare
-}
-
-src_configure() {
-	local myeconfargs=(
-		$(use_with dbi)
-		$(use_with json jansson)
-		$(use_enable nfacct)
-		$(use_enable nfct)
-		$(use_enable nflog)
-		$(use_with mysql)
-		$(use_with pcap)
-		$(use_with postgres pgsql)
-		$(use_with sqlite)
-		$(use_enable ulog)
-	)
-	autotools-utils_src_configure
-}
-
-src_compile() {
-	autotools-utils_src_compile
-
-	if use doc; then
-		# Prevent access violations from bitmap font files generation
-		export VARTEXFONTS="${T}"/fonts
-		emake -C doc
-	fi
-}
-
-src_install() {
-	autotools-utils_src_install
-	readme.gentoo_create_doc
-	prune_libtool_files --modules
-
-	if use doc; then
-		dohtml doc/${PN}.html
-		dodoc doc/${PN}.dvi doc/${PN}.txt doc/${PN}.ps
-	fi
-
-	use sqlite && dodoc doc/sqlite3.table
-	use mysql && dodoc doc/mysql-*.sql
-	use postgres && dodoc doc/pgsql-*.sql
-	doman ${PN}.8
-
-	insinto /etc
-	doins ${PN}.conf
-	fowners root:ulogd /etc/ulogd.conf
-	fperms 640 /etc/ulogd.conf
-
-	newinitd "${FILESDIR}/${PN}.init-r1" ${PN}
-	systemd_newunit "${FILESDIR}/${PN}.service-r1" ${PN}.service
-
-	insinto /etc/logrotate.d
-	newins "${FILESDIR}/${PN}.logrotate" ${PN}
-
-	diropts -o ulogd -g ulogd
-	keepdir /var/log/ulogd
-}


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-admin/ulogd/, app-admin/ulogd/files/
@ 2024-07-04  1:39 Sam James
  0 siblings, 0 replies; 3+ messages in thread
From: Sam James @ 2024-07-04  1:39 UTC (permalink / raw
  To: gentoo-commits

commit:     89168fbdb125f566518f25f52ef84ea0861e2002
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Jul  4 01:38:07 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Jul  4 01:38:07 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=89168fbd

app-admin/ulogd: fix compat w/ newer logrotate (specify group name)

Bug: https://bugs.gentoo.org/935338
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-admin/ulogd/files/ulogd.logrotate                         | 2 +-
 app-admin/ulogd/{ulogd-2.0.8.ebuild => ulogd-2.0.8-r1.ebuild} | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/app-admin/ulogd/files/ulogd.logrotate b/app-admin/ulogd/files/ulogd.logrotate
index 777e40097a5e..b5a48a78674d 100644
--- a/app-admin/ulogd/files/ulogd.logrotate
+++ b/app-admin/ulogd/files/ulogd.logrotate
@@ -2,7 +2,7 @@
     sharedscripts
     missingok
     notifempty
-    create 0640 ulogd
+    create 0640 ulogd ulogd
     postrotate
         [ -f /run/ulogd.pid ] && /bin/kill -HUP $(cat /run/ulogd.pid)
     endscript

diff --git a/app-admin/ulogd/ulogd-2.0.8.ebuild b/app-admin/ulogd/ulogd-2.0.8-r1.ebuild
similarity index 98%
rename from app-admin/ulogd/ulogd-2.0.8.ebuild
rename to app-admin/ulogd/ulogd-2.0.8-r1.ebuild
index 3768bedeb734..df0c534c008a 100644
--- a/app-admin/ulogd/ulogd-2.0.8.ebuild
+++ b/app-admin/ulogd/ulogd-2.0.8-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8


^ permalink raw reply related	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2024-07-04  1:39 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-07-04  1:39 [gentoo-commits] repo/gentoo:master commit in: app-admin/ulogd/, app-admin/ulogd/files/ Sam James
  -- strict thread matches above, loose matches on Subject: below --
2015-12-28  9:56 Patrice Clement
2015-11-03  8:42 Ian Delaney

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox